{
  "criteria": {
    "wisdom_skill_action": {
      "trigger": "minecraft:player_hurt_entity",
      "conditions": {
        "damage": {
          "type": {
            "is_direct": false
          }
        },
        "entity": {
          "distance": {
            "horizontal": {
              "min": 50.0
            }
          }
        }
        }
      }
    },
  "requirements": [
    [
      "wisdom_skill_action"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/wisdom/archery/add_to_skill_xp_c_shoot_entity_from_50m"
  }
}